Skip To Content

Red Hat Enterprise Linux required libraries

In this topic

  • The Linux patches from RHEL Server will be supported as long as the patches are from Red Hat without modification to the latest kernel/glibc version.

Red Hat 6 libraries

The following table lists the libraries that are required for Red Hat Linux and the packages that provide them.

LibraryPackage namePackage version

libc.so.6

glibc

2.12-1.43

libdl.so.2

libm.so.6

librt.so.1

libpthread.so.0

ld-linux.so.2

ld-linux-x86-64.so.2

libGL.so.1*

mesa-libGL

7.11-1

libX11.so.6

libX11

1.3-2

libXau.so.6

libXau

1.0.5-1

libXext.so.6

libXext

1.1-3

libXdamage.so.1

libXdamage

1.1.2-1

libXfixes.so.3

libXfixes

4.0.4-1

libdrm.so.2

libdrm

2.4.25-1

libexpat.so.1

expat

2.0.1-9,1

libfontconfig.so.1

fontconfig

2.8.0-3

libfreetype.so.6

freetype

2.3.11-6

libgcc_s.so.1

libgcc

4.4.6-3

libstdc++.so.6

libstdc++

4.4.6-3

libxcb.so.1

libxcb

1.5-1

libXxf86vm.so.1

libXxf86vm

1.1.0-1

* The libGL.so.1 may be provided by the graphics driver vendor. The Mesa OpenGL library is only needed when there are no other graphics drivers installed. For example, on a RHEL 6.2 system using an NVIDIA video card, /usr/lib64/libGL.so.1 is a symlink to /usr/lib64/libGL.so.319.60, which is provided by the NVIDIA driver.